%define upstream_name    String-Approx
%define upstream_version 3.28

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 13

Summary:    Perl extension for approximate matching (fuzzy matching)
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/String/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl-devel
%description
String::Approx lets you match and substitute strings approximately. With this
you can emulate errors: typing errorrs, speling errors, closely related
vocabularies (colour color), genetic mutations (GAG ACT), abbreviations
(McScot, MacScot).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%install
%make_install

%check
%{__make} test

%files 
%doc COPYRIGHT ChangeLog LGPL META.yml MYMETA.yml PROBLEMS README
%{perl_vendorarch}/auto/String
%{perl_vendorarch}/String
%{_mandir}/*/*


%changelog
* Thu Aug 22 2024 neoclust <neoclust> 3.280.0-13.mga10
+ Revision: 2088221
- Rebuild against new perl

* Tue Nov 28 2023 tv <tv> 3.280.0-12.mga10
+ Revision: 2010537
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 3.280.0-11.mga9
+ Revision: 1862423
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 3.280.0-10.mga9
+ Revision: 1796050
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 3.280.0-9.mga9
+ Revision: 1727125
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 3.280.0-8.mga8
+ Revision: 1595269
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 3.280.0-7.mga8
+ Revision: 1530102
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tmb <tmb> 3.280.0-6.mga8
+ Revision: 1433901
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 3.280.0-5.mga7
+ Revision: 1293765
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 3.280.0-4.mga7
+ Revision: 1249265
- Rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 3.280.0-3.mga7
+ Revision: 1166637
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 3.280.0-2.mga7
+ Revision: 1149168
- Rebuild for perl ABI changes

* Mon Jul 31 2017 sander85 <sander85> 3.280.0-1.mga7
+ Revision: 1133130
- update to 3.28

* Sat Jul 22 2017 neoclust <neoclust> 3.270.0-11.mga7
+ Revision: 1126914
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 3.270.0-10.mga6
+ Revision: 1033348
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 3.270.0-9.mga6
+ Revision: 958004
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 3.270.0-8.mga6
+ Revision: 845292
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 3.270.0-7.mga6
+ Revision: 841638
- Rebuild for perl 5.22

* Sun Oct 19 2014 umeabot <umeabot> 3.270.0-6.mga5
+ Revision: 789946
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 3.270.0-5.mga5
+ Revision: 740160
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.270.0-4.mga5
+ Revision: 686232
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 3.270.0-3.mga5
+ Revision: 631671
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 3.270.0-2.mga4
+ Revision: 527303
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 3.270.0-1.mga4
+ Revision: 439884
- update to 3.27

* Wed May 29 2013 jquelin <jquelin> 3.260.0-6.mga4
+ Revision: 431748
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 3.260.0-5.mga3
+ Revision: 372776
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 3.260.0-4.mga3
+ Revision: 251135
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 3.260.0-3.mga2
+ Revision: 104971
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 3.260.0-2.mga1
+ Revision: 31180
- mageia rebuild
- imported package perl-String-Approx


* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 3.260.0-2mdv2011.0
+ Revision: 556148
- rebuild for perl 5.12

* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 3.260.0-1mdv2010.0
+ Revision: 404414
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 3.26-7mdv2009.0
+ Revision: 258388
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 3.26-6mdv2009.0
+ Revision: 246472
- rebuild

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 3.26-4mdv2008.1
+ Revision: 152303
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 3.26-3mdv2008.0
+ Revision: 86921
- rebuild


* Tue Aug 29 2006 Guillaume Rousse <guillomovitch@mandriva.org> 3.26-2mdv2007.0
- Rebuild

* Tue Apr 11 2006 Guillaume Rousse <guillomovitch@mandriva.org> 3.26-1mdk
- New release 3.26
- better source URL
- correct optimisations
- %%mkrel

* Wed Jun 01 2005 Guillaume Rousse <guillomovitch@mandriva.org> 3.25-1mdk
- New release 3.25
- spec cleanup
- make test in %%check

* Wed Jan 19 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 3.24-1mdk
- 3.24
- Add tests, fix URL, trim verbose description

* Mon Nov 15 2004 Michael Scherer <misc@mandrake.org> 3.23-4mdk
- Rebuild for new perl

* Fri Jul 23 2004 Guillaume Rousse <guillomovitch@mandrake.org> 3.23-3mdk 
- rpmbuildupdate aware

* Wed Feb 25 2004 Guillaume Rousse <guillomovitch@mandrake.org> 3.23-2mdk
- fixed dir ownership (distlint)

* Mon Dec 15 2003 Guillaume Rousse <guillomovitch@mandrake.org> 3.23-1mdk
- first mdk release

